﻿namespace Kino.Tests.Rss.RssDirectoryGeneratorTest
{
    using System;
    using System.IO;
    using Kino.Lib.Rss;
    using Microsoft.VisualStudio.TestTools.UnitTesting;
    using Rhino.Mocks;

    [TestClass]
    public class GetAllItemsTest
    {
        private const string Title = "Mint blog posts";
        private const string Link = "http://mint.litemedia.se";
        private const string Description = "My blog posts of the Mint blog";
        private const string Documentation = "http://blogs.law.harvard.edu/tech/rss";
        private const string ManagingEditor = "mikael.lundin@litemedia.se";
        private const string WebMaster = "mikael.lundin@litemedia.se";

        [TestMethod]
        public void ShouldRetrieveFilesMatchingAllPatterns()
        {
            /* Setup */
            string baseDirectory = Environment.CurrentDirectory;
            string[] searchPatterns = new string[] { "Movie*", "Music*" };

            MockRepository mocks = new MockRepository();
            var generator = mocks.PartialMock<RssDirectoryGenerator>(Title, Link, Description, Documentation, ManagingEditor, WebMaster, baseDirectory, searchPatterns);

            /* Expect */
            for (int i = 0; i < searchPatterns.Length; i++)
            {
                generator.Expect(g => g.GetDirectories(g.BaseDirectory, searchPatterns[i])).Return(new DirectoryInfo[0]);
            }

            /* Replay */
            mocks.ReplayAll();
            generator.UpdateChannelItems();
            mocks.VerifyAll();
        }

    }
}
